/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.grammar.token.definition;

import java.io.Serializable;

import net.sourceforge.chaperon.grammar.Grammar;
import net.sourceforge.chaperon.helpers.IntegerList;
import net.sourceforge.chaperon.parser.RegexAutomate;

/**
 * This class represents a concatenation of elements.<br/>
 * Like BLUE | RED
 *
 * @author Stephan Michels
 * @version $Revision: 1.2 $ $Date: 2002/05/06 16:22:56 $
 */
public class Concatenation extends DefinitionElementList implements Serializable, Cloneable
{

  public Concatenation()
  {
  }

  /**
   * Convert the character class to a string
   *
   * @return Content of the alternation
   */
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();

    for (int i = 0; i < getDefinitionElementCount(); i++)
      buffer.append(getDefinitionElement(i).toString());
    return buffer.toString();
  }

  public Object clone() throws CloneNotSupportedException
  { 
    Concatenation clone = new Concatenation();
    
    clone.setMinOccurs(getMinOccurs());
    clone.setMaxOccurs(getMaxOccurs());
    
    for (int i = 0; i < getDefinitionElementCount(); i++)
      clone.addDefinitionElement((DefinitionElement)getDefinitionElement(i).clone());
    
    return clone;
  }
}
